config/routes.rb
Rails.application.routes.draw do

  get 'pages/contact_us'

  get 'pages/index'

  get 'pages/about_us'

  get 'pages/faq'

  get 'pages/tos'

  get 'login', to: 'pages#login'

  delete 'logout', to: 'pages#destroy'

  post 'login', to: 'pages#create'

  root 'pages#index'

  # For details on the DSL available within this file, see http://guides.rubyonrails.org/routing.html
end

app/models/application_record.rb
class ApplicationRecord < ActiveRecord::Base
  self.abstract_class = true
end

app/models/user.rb
class User < ActiveRecord::Base
  has_secure_password
end

app/controllers/application_controller.rb
class ApplicationController < ActionController::Base
  protect_from_forgery with: :exception
end

app/controllers/pages_controller.rb
class PagesController < ApplicationController
  layout 'internal', except: [:index]

  protect_from_forgery with: :exception

  helper_method :current_user, :logged_in?

  def index
  end

  def about_us
  end

  def faq
  end

  def tos
  end
  
  def contact_us
  end

  def login
  end

  def create
    user = User.find_by(email: params[:email])

    if user && user.authenticate(params[:password])
      session[:user_id] = user.id

      flash[:success] = "Bienvenido a Wok & Wine"

      redirect_to root_path
    else
      flash.now[:danger] = "Tu correo o contraseña no son correctas o no existen"
      render 'login'
    end
  end

  def destroy
    session[:user_id] = nil
    flash[:success] = "Hasta pronto..."
    redirect_to root_path
  end

  def current_user
    @current_user ||= User.find(session[:user_id]) if session[:user_id]
  end

  def logged_in?
    !!current_user
  end
end

app/helpers/application_helper.rb
module ApplicationHelper
end

app/helpers/home_helper.rb
module HomeHelper
end

app/helpers/pages_helper.rb
module PagesHelper
end

app/helpers/sessions_helper.rb
module SessionsHelper
end

app/views/layouts/_menu.html.erb
<li><%= link_to "About us", pages_about_us_path %></li>
<li><%= link_to "FAQ", pages_faq_path %></li>
<li><%= link_to "Terms of Service", pages_tos_path %></li>
<li><%= link_to "Contact us", pages_contact_us_path %></li>
<% if !logged_in? %>
    <li><%= link_to "Log In", login_path %></li>
<% else %>
    <% user = current_user %>
    <li><%= link_to "Log Out", logout_path, method: :delete %></li>
    <li><%= link_to user.name %></li>
<% end %>

app/views/layouts/application.html.erb
<!DOCTYPE html>
<html>
<head>
    <title>RubyProject</title>
    <%= csrf_meta_tags %>

    <%= stylesheet_link_tag 'application', media: 'all', 'data-turbolinks-track': 'reload' %>
    <%= javascript_include_tag 'application', 'data-turbolinks-track': 'reload' %>
</head>

<body>
<div class="navbar navbar-default navbar-static-top">
    <div class="container">
        <button type="button" class="navbar-toggle" datatoggle="collapse" data-target=".navbar-responsivecollapse">
            <span class="icon-bar"></span>
            <span class="icon-bar"></span>
            <span class="icon-bar"></span>
        </button>
        <a class="navbar-brand" href=<%= root_path %>>Wok & Wine</a>

        <div class="navbar-collapse collapse navbarresponsive-collapse">
            <ul class="nav navbar-nav">
                <%= render 'layouts/menu' %>
            </ul>
        </div>
    </div>
</div>
<div class="container">
    <div class="row">
        <div class="col-lg-9">
            <%= yield %>
        </div>
        <div class="col-lg-3">
            <div class="well sidebar-nav">
                <h3>Sidebar</h3>
                <ul class="nav nav-list">
                    <li class="nav-header">Sidebar</li>
                    <%= render 'layouts/menu' %>
                </ul>
            </div>
            <!--/.well -->
        </div>
        <!--/span-->
    </div>
    <!--/row-->
</div>
</body>
</html>

app/views/layouts/internal.html.erb
<!DOCTYPE html>
<html>
<head>
    <title>RubyProject</title>
    <%= csrf_meta_tags %>

    <%= stylesheet_link_tag 'application', media: 'all', 'data-turbolinks-track': 'reload' %>
    <%= javascript_include_tag 'application', 'data-turbolinks-track': 'reload' %>
</head>

<body>
<div class="navbar navbar-default navbar-static-top">
    <div class="container">
        <button type="button" class="navbar-toggle" datatoggle="collapse" data-target=".navbar-responsivecollapse">
            <span class="icon-bar"></span>
            <span class="icon-bar"></span>
            <span class="icon-bar"></span>
        </button>
        <a class="navbar-brand" href=<%= root_path %>>Wok & Wine</a>

        <div class="navbar-collapse collapse navbarresponsive-collapse">
            <ul class="nav navbar-nav">
                <%= render 'layouts/menu' %>
            </ul>
        </div>
    </div>
</div>
<div class="container">
    <div class="row">
        <div class="col-lg-9">
            <div class="page-header">
                <h1><%= yield :header_title %>
                    <small><%= yield :header_sub_title %></small>
                </h1>
            </div>
            <%= yield :body %>
        </div>
        <div class="col-lg-3">
            <div class="well sidebar-nav">
                <h3>Sidebar</h3>
                <ul class="nav nav-list">
                    <li class="nav-header">Sidebar</li>
                    <%= render 'layouts/menu' %>
                </ul>
            </div>
            <!--/.well -->
        </div>
        <!--/span-->
    </div>
    <!--/row-->
</div>
</body>
</html>

app/views/pages/_map.html.erb
<iframe width="600" height="450" frameborder="0"
style="border:0" 
src="https://www.google.com/maps/embed/v1/place?q=Universid
ad%20Peruana%20de%20Ciencias%20Aplicadas&key=AIzaSyAZQYXvN57ZpF6-kCXRylDYO_oRy_QbkWM" allowfullscreen></iframe>

app/views/pages/about_us.html.erb
<%= content_for :header_title do %>
About us
<% end %>
<%= content_for :header_sub_title do %>
Who we are
<% end %>
<%= content_for :body do %>
<h2>Our history</h2>
<p>Opened in 1999, Restaurant Wok & Wine is a casual fine
dining restaurant, offering eclectic American cuisine and
warm hospitality in a rustic historically preserved
building. A high, open beam ceiling, exposed brick and
concrete floors display the original space, while an open
kitchen, banquette seating and gentle lighting contribute
to an intimate and contemporary feel.</p>
<p>We specialize in three course tasting menus, allowing
the customer to select any three dishes from the menu for
$55 per person. A la Carte dining is also available.</p>
<p>Our food is sourced from top quality seasonal
ingredients, featuring a high percentage of local and
organic products. Our menu changes every six to eight
weeks, offering a mix of new and signature dishes. We
consider Wok & Wine to be a truly “American” restaurant 
honoring many different cooking traditions and interpreting
them with our unique creative vision.</p>
<p>Inspired by great artisanal foods of the world. We craft
all of our stocks, sauces, breads, pastries and ice creams
from scratch on a daily basis. We also strive to support
other artisanal producers when purchasing wine, cheese,
honey and many other ingredients.</p>
<p>Our approach towards the operation of the restaurant is
truly cooperative. We believe that every single member of
our staff is integral to our success and pay sustainable
living wages to all employees, offering medical benefits
and profit sharing to all full time employees.</p>
<h2>Who lead us</h2>
<p>Our current leaders of kitchen and service at Wok &
Wine:</p>
<ul>
<li>Alexander Roberts – Executive Chef / CEO /
Proprietor</li>
<li>Mike Berger / General Manager</li>
<li>Lucas Rosenbrook– Chef / Kitchen Manager</li>
<li>James Hirdler – Service Supervisor / Wine Director</li>
<li>Hannah Drehmann – Event Coordinator</li>
<li>Carrie Riggs – Pastry Chef</li>
</ul>
<h2>Alexander Roberts</h2>
<p>Alexander Roberts was born in Buffalo, New York, but his
formative years were spent here in Minneapolis. He started
working in local kitchens in high school and through
college. In the early 1990’s, Alex moved to New York City,
where he attended the French Culinary Institute. After
graduation, Alex gained experience in several renowned New
York restaurants, including Gramercy Tavern, Bouley, and
the Union Square Cafe.</p>
<p>Alex returned to Minneapolis and opened Restaurant Wok &
Wine in 1999. He has been able to advance his commitment to
organic, sustainably produced food at Wok & Wine and has
received numerous accolades in the process.</p>
<p>Alex opened Brasa Premium Rotisserie in 2007, also
committed to organic, sustainably produced food. For more
details about Brasa please call 612-379-3030 or visit their
website at www.brasa.us.</p>
<% end %>

app/views/pages/contact_us.html.erb
<%= content_for :header_title do %>
Contact us
<% end %>
<%= content_for :header_sub_title do %>
Find us here
<% end %>
<%= content_for :body do %>
<div id="maps">
<%= render 'map' %>
</div>
<% end %>

app/views/pages/faq.html.erb
<%= content_for :header_title do %>
Frequently Asked Questions
<% end %>
<%= content_for :header_sub_title do %>
Your doubts, clarified
<% end %>
<%= content_for :body do %>
<p><strong>What hours are the Restaurant open for
dining?</strong></p>
<p>Lunch Hours: Monday through Friday | 11:30am to 2:00pm,
and Dinner Hours: Tuesday through Saturday | 5:30pm to
9:00pm. Our Restaurant lounge is always open during our
dining hours.</p>
<p><strong>Do you have to be a member to dine at Wok & Wine
?</strong></p>
<p>We welcome non-members to try the restaurant for lunch
or dinner on a one time basis, but we do require membership
for continuous usage and always give priority seating to
our members.</p>
<p><strong>Do Wok & Wine members get a
discount?</strong></p>
<p>Yes, all Wok & Wine members receive a 10% discount on
food and beverage purchases in the restaurant.</p>
<p><strong>Are there any blackout dates for the
restaurant?</strong></p>
<p>Our online calendar (click here) is always kept up to
date with the latest sold out dates and times. The
restaurant is typically closed the week after the October
and May races for post-race clean up. Wok & Wine is not
open on Sundays except for special occasions.</p>
<p><strong>Should I make a reservation?</strong></p>
<p>Yes, we recommend making a reservation in order to give
you the best possible service and ensure that we have your
desired time available. We do accept walk-ins unless we are
sold out for a private function.</p>
<p><strong>What is the easiest way to make
reservations?</strong></p>
<p>To make a reservation, please call the main restaurant 
line at 704-455-3216. You can also click here to make an
online reservation request.</p>
<p><strong>What is the dress code for the
restaurant?</strong></p>
<p>Find details about our dress code by clicking here.</p>
<p><strong>Will Wok & Wine do anything special for a
birthday or anniversary?</strong></p>
<p>Wok & Wine members can receive a complimentary 6-inch
white cake for a birthday or anniversary when they make a
dinner reservation. A minimum 48-hour notice is required.
Depending on availability, a balloon bouquet can also be
placed at the guest's table. Cakes can also be pre-ordered
for a fee determined by the size and type of cake
requested.</p>
<p><strong>Can a non-member make a dining reservation
during race?</strong></p>
<p>Non-members can only make a reservation during ticketed
events if they are a guest of a member or have a ticket in
Wok & Wine Convention Center. Event tickets are required by
all in order to dine in the restaurant during the
event.</p>
<% end %>

app/views/pages/index.html.erb
<div id="carousel-example-generic" class="carousel slide"
data-ride="carousel">
<!-- Indicators -->
<ol class="carousel-indicators">
<li data-target="#carousel-example-generic" data-slideto="0"
class="active"></li>
<li data-target="#carousel-example-generic" data-slideto="1"></li>
<li data-target="#carousel-example-generic" data-slideto="2"></li>
</ol>
<!-- Wrapper for slides -->
<div class="carousel-inner" role="listbox">
<div class="item active">
<%= image_tag "rest_slider1.jpg", html: { alt: "rest_slider1" } %>
<div class="carousel-caption">
<h3>Our restaurants</h3>
<p>The best for you</p>
</div>
</div>
<div class="item">
<%= image_tag "rest_slider2.jpg", html: { alt: "rest_slider2" } %>
<div class="carousel-caption">
<h3>Our service</h3>
<p>Best quality</p>
</div>
</div>
<div class="item">
<%= image_tag "rest_slider3.jpg", html: { alt: "rest_slider3" }%>
<div class="carousel-caption">
<h3>Our service</h3>
<p>Best quality</p>
</div>
</div>
</div>
<!-- Controls -->
<a class="left carousel-control" href="#carousel-examplegeneric"
role="button" data-slide="prev">
<span class="glyphicon glyphicon-chevron-left" ariahidden="true"></span>
<span class="sr-only">Previous</span>
</a>
<a class="right carousel-control" href="#carouselexample-generic"
role="button" data-slide="next">
<span class="glyphicon glyphicon-chevron-right" ariahidden="true"></span>
<span class="sr-only">Next</span>
</a>
</div>
<br>
<div class="form-group">
    <% flash.each do |type, message| %>
        <div class="alert alert-<%= type %>"><%= message %></div>
    <% end %>
</div>

app/views/pages/login.html.erb
<%= content_for :header_title do %>
    Log In
<% end %>
<%= content_for :header_sub_title do %>

<% end %>
<%= content_for :body do %>
    <div class="form-group">
        <% flash.each do |type, message| %>
            <div class="alert alert-<%= type %>"><%= message %></div>
        <% end %>
    </div>
        <%= form_tag '/login' do %>
        <div class="form-group">
            <label for="inputEmail3" class="col-sm-2 control-label">Email</label>
            <div class="col-sm-10">
                <%= text_field_tag :email, nil, class: 'form-control' %>
            </div>
        </div>
        <div class="form-group">
            <label for="inputPassword3" class="col-sm-2 control-label">Password</label>
            <div class="col-sm-10">
                <%= password_field_tag :password, nil, class: 'form-control' %>
            </div>
        </div>
        <div class="form-group">
            <div class="col-sm-offset-2 col-sm-10">
                <div class="checkbox">
                    <label>
                        <input type="checkbox"> Remember me
                    </label>
                </div>
            </div>
        </div>
        <div class="form-group">
            <div class="col-sm-offset-2 col-sm-10">
                <%= submit_tag 'Log in', class: 'btn btn-default' %>
            </div>
        </div>
    <% end %>
<% end %>

app/views/pages/tos.html.erb
<%= content_for :header_title do %>
Terms of Service
<% end %>
<%= content_for :header_sub_title do %>
Important information about our offer
<% end %>
<%= content_for :body do %>
<p>This website is owned by Alex's Place. You may contact
Alex's Place via our contact form or call us at 585-344-
2999.</p>
<p>The alexsribs.com website is hosted by Alternative
Aspect.</p>
<p>Your use of this website is governed by these Terms and
Conditions. Please take a few minutes to review these Terms
and Conditions. Your use of this website constitutes your 
agreement to follow these rules and to be bound by them. If
you do not agree with any of these Terms and Conditions, do
not use the alexsribs.com website.</p>
<p>These Terms and Conditions may change</p>
<p>Alex's Place reserves the right to update or modify
these Terms and Conditions at any time without prior
notice. Your use of this website following any such change
constitutes your agreement to follow and be bound by the
Terms and Conditions as changed. For this reason, we
encourage you to review these Terms and Conditions whenever
you use this website.</p>
<h2>Copyright Notice</h2>
<p>All of the Content you see and hear on alexsribs.com,
including, for example, all of the page headers, images,
illustrations, graphics, audio clips, video clips and text,
are subject to trademark, service mark, trade dress,
copyright and/or other intellectual property rights or
licenses held by Alex's Place, one of its affiliates or by
third parties who have licensed their materials to Alex's
Place. The entire content of this website is copyrighted as
a collective work under U.S. copyright laws.</p>
<p>The Content of this website, and the site as a whole, is
intended solely for personal, noncommercial use by the
users of oursite. You may download, print and store
selected portions of the content, provided you (1) only use
these copies of the content for your own personal, non
commercial use, (2) do not copy or post the content on any
network computer or broadcast the content in any media, and
(3) do not modify or alter the content in any way, or
delete or change any copyright or trademark notice.</p>
<p>No right, title or interest in any downloaded materials
is transferred to you as a result of any such downloading.
Alex's Place reserves complete title and full intellectual
property rights in any content you download from this
website.</p>
<p>Except as noted above, you may not copy, download,
reproduce, modify, publish, distribute, transmit, transfer
or create derivative works from the content without first
obtaining written permission from Alex's Place.</p>
<h2>Submissions</h2>
<p>We welcome your comments regarding this website.
However, any comments, feedback, notes, messages, ideas,
suggestions or other communications (collectively,
"comments") sent to Alex's Place shall be and remain the 
exclusive property of Alex's Place. Your submission of any
such comments shall constitute an assignment to Alex's
Place of all worldwide rights, titles and interests in all
copyrights and other intellectual property rights in the
comments. Alex's Place will be entitled to use, reproduce,
disclose, publish and distribute any material you submit
for any purpose whatsoever, without restriction and without
compensating you in any way. For this reason, we ask that
you not send us any comments that you do not wish to assign
to us, including any confidential information or any
original creative materials such as stories, product ideas,
computer code or original artwork.</p>
<p>User Submitted Content including, but not limited to,
text, photos, or video submitted in connection with Gift,
E-Cards, E-Vites, Forward-to-a-Friend messages or any other
messaging service.</p>
<p>The Alex's Place message services available to our
guests are subject to the following guidelines. Out of
respect for all of our guests, we ask that you do not use
obscene, profane or threatening language in messages. In
addition, we ask that you do not submit or post photos,
videos or other media that include obscene, profane or
threatening images. Examples of the kinds of conduct or
content that are prohibited in user submitted content
include:</p>
<ul>
<li>The transmission of any content that could violate, or
could facilitate the violation of, any applicable law.</li>
<li>The transmission of any content that is profane,
libelous, defamatory, obscene, pornographic, indecent,
lewd, harassing, threatening, harmful, invasive of privacy
or publicity rights, abusive, inflammatory or otherwise
objectionable.</li>
<li>The impersonation of any person or entity in any part
of a gift message.</li>
</ul>
<p>You are solely responsible for the content of any
messages and/or images you submit and Alex's Place assumes
no liability for any content submitted by you. We may, but
are not obligated to, restrict or remove any and all
content from a message that we determine in our sole
discretion violates these guidelines or is otherwise
harmful to us, or any third party. Alex's Place reserves
the right to purge the content you provide after 90 days of 
creation. Any content you submit is for non-commercial use
only. You must provide your actual e-mail address in order
to send your content.</p>
<p>Any content you submit will be routed through the
Internet and you understand and acknowledge that you have
no expectation of privacy with regard to any content you
submit.</p>
<h2>Discounts; Limitations on Quantity</h2>
<p>We do offer additional discounts on large orders of a
single item. Please inquire directly. We reserve the right
to limit quantities.</p>
<h2>Return Policy</h2>
<p>If you are not fully satisfied with your purchase you
may return it with the original packing receipt within 30
days of the order date. Additional restrictions apply.</p>
<p>Gift Certificates returned to Alex's Place shall be in
like new condition and unopened. The refund will be issued
once Alex's Place confirms that the gift certificate is in
the same condition that you received it and processes the
return through Alex's Place's system.</p>
<p>For gift certificates returned within 30 days, Alex's
Place will reimburse the cost of the gift certificate, and
the cost of initial shipping. Alex's Place will not
reimburse the cost of shipping to return the gift
certificate to Alex's Place.</p>
<p>If your return is shipped after the timeframe indicated
above or without a packing slip, we regret that we cannot
issue a refund or send the merchandise back to you.</p>
<p>The risk of loss and title to items pass to the
purchaser upon delivery.</p>
<h2>Disclaimers general</h2>
<p>Alex's place reserves the right to refuse any sale.</p>
<p>The alexsribs.com website is operated by Alex's Place on
an "as is", "as available" basis, without representations
or warranties of any kind. To the full extent permitted by
law, Alex's Place disclaims any and all representations and
warranties with respect to this site and its contents,
whether express, implied, or statutory.</p>
<p>Without limiting the foregoing, Alex's Place does not
represent or warrant that the information on this website
is accurate, complete, reliable, useful, timely or current
or that this website will operate without interruption or
error.</p>
<p>Alex's Place does not endorse nor make any warranties or 
representations about the options or other service or data
you may access, download or use as a result of the use of
the information contained on this website, or about any
website you may access through this website. Links to other
sites are provided for convenience only. You need to make
your own decisions regarding your interactions or
communications with any other website.</p>
<p>Alex's Place makes no representation that content
provided on this website is applicable or appropriate for
use in locations outside of the United States.</p>
<p>Alex's Place assumes no risk or responsibility for your
use of any of the content provided on this website.</p>
<h2>Limitation of Liability</h2>
<p>Under no circumstances, shall Alex's Place or any of
their employees, directors, officers, agents, vendors or
suppliers be liable for any direct or indirect losses or
damages arising out of or in connection with the use of or
inability to use this website.</p>
<p>This is a comprehensive Limitation of Liability that
applies to all losses and damages of any kind (whether
general, special, consequential, incidental, exemplary or
otherwise, including, without limitation, loss of data,
income or profits), whether in contract, negligence or
other tortious action, even if an authorized representative
of alex's place has been advised of or should have known of
the possibility of such damages.</p>
<p>If you are dissatisfied with this website or any content
on the site, or with these terms and conditions, your sole
and exclusive remedy is to discontinue using this website.
You acknowledge, by your use of this website, that your use
of the site is at your sole risk.</p>
<p>Applicable law may not allow the limitation of liability
set forth above, so this limitation of liability may not
apply to you. If any part of this Limitation on Liability
is found to be invalid or unenforceable for any reason,
then the aggregate liability of Alex's Place under such
circumstances for liabilities that otherwise would have
been limited shall not exceed one hundred dollars
($100).</p>
<h2>Enforcement of terms and conditions</h2>
<p>By accessing and using the alexsribs.com website, you
agree that your access to and use of this website is
subject to these terms and conditions, as well as all
applicable laws, as governed and interpreted pursuant to 
the laws of the state of North Carolina, United States of
America.</p>
<% end %>